Bug 73346 - [chromium] add accessors to WebDOMMessageEvent
Summary: [chromium] add accessors to WebDOMMessageEvent
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit API (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Karl Koscher
URL:
Keywords:
Depends on:
Blocks: 73337
  Show dependency treegraph
 
Reported: 2011-11-29 12:08 PST by Karl Koscher
Modified: 2011-12-09 17:18 PST (History)
4 users (show)

See Also:


Attachments
Patch (2.35 KB, patch)
2011-11-29 12:11 PST, Karl Koscher
fishd: review-
Details | Formatted Diff | Diff
Patch (2.38 KB, patch)
2011-11-29 13:11 PST, Karl Koscher
fishd: review+
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff
Revised patch (2.40 KB, patch)
2011-12-05 17:54 PST, Karl Koscher
no flags Details | Formatted Diff | Diff
Patch should apply now (2.40 KB, patch)
2011-12-06 22:57 PST, Karl Koscher
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Karl Koscher 2011-11-29 12:08:18 PST
To support cross-process postMessages in Chromium, we need to be able to access the data, origin, and target origin of a message event via its WebDOMMessageEvent wrapper.
Comment 1 Karl Koscher 2011-11-29 12:11:30 PST
Created attachment 117016 [details]
Patch
Comment 2 WebKit Review Bot 2011-11-29 12:14:22 PST
Please wait for approval from fishd@chromium.org before submitting because this patch contains changes to the Chromium public API.
Comment 3 Darin Fisher (:fishd, Google) 2011-11-29 12:57:31 PST
Comment on attachment 117016 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=117016&action=review

> Source/WebKit/chromium/public/WebDOMMessageEvent.h:50
> +    WEBKIT_EXPORT WebString data() const;

nit: This method should probably return WebSerializedScriptValue instead.
Comment 4 Karl Koscher 2011-11-29 13:11:40 PST
Created attachment 117029 [details]
Patch

(In reply to comment #3)
> (From update of attachment 117016 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=117016&action=review
> 
> > Source/WebKit/chromium/public/WebDOMMessageEvent.h:50
> > +    WEBKIT_EXPORT WebString data() const;
> 
> nit: This method should probably return WebSerializedScriptValue instead.

Fixed.
Comment 5 WebKit Review Bot 2011-11-29 23:45:14 PST
Comment on attachment 117029 [details]
Patch

Attachment 117029 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/10693096
Comment 6 Karl Koscher 2011-12-05 17:54:21 PST
Created attachment 117969 [details]
Revised patch

This revised patch removes the targetOrigin accessor, which we aren't adding to MesssageEvent. This will also make it pass the commit queue.
Comment 7 Karl Koscher 2011-12-06 22:57:17 PST
Created attachment 118174 [details]
Patch should apply now
Comment 8 WebKit Review Bot 2011-12-09 17:18:35 PST
Comment on attachment 118174 [details]
Patch should apply now

Clearing flags on attachment: 118174

Committed r102496: <http://trac.webkit.org/changeset/102496>
Comment 9 WebKit Review Bot 2011-12-09 17:18:39 PST
All reviewed patches have been landed.  Closing bug.